Page MenuHomeFreeBSD

Switch ports to use USE_PYQT=<foo> instead of ugly BUILD/RUN_DEPENDS
ClosedPublic

Authored by tcberner on Jan 20 2017, 5:25 PM.

Details

Summary

pyqt.mk provides USE_PYQT=<list> to depend on its components. Convert the ports
not yet using it to it.

Test Plan
  • Test build the ports.
  • fixup comms/gnuradio (it depended on the whole shebang, which seems a bit lot at first glance)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner updated this revision to Diff 24241.Jan 20 2017, 5:25 PM
tcberner retitled this revision from to Switch ports to use USE_PYQT=<foo> instead of ugly BUILD/RUN_DEPENDS.
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added reviewers: kde, rakuco, mat, adridg.

everything seems to still build fine on current.

rakuco accepted this revision.Jan 21 2017, 1:46 PM
rakuco edited edge metadata.

lgtm!

This revision is now accepted and ready to land.Jan 21 2017, 1:46 PM
mat edited edge metadata.Feb 3 2017, 4:39 PM

All the USE_PYQT should be after the USES lines.

www/linkchecker/Makefile
41 ↗(On Diff #24241)

This is going to end up being:

USE_CORE_RUN="" USE_GUI_RUN=""

I think this (and maybe others are wrong.)

mat requested changes to this revision.Feb 3 2017, 4:41 PM
mat edited edge metadata.
This revision now requires changes to proceed.Feb 3 2017, 4:41 PM
tcberner updated this revision to Diff 24694.Feb 3 2017, 6:23 PM
tcberner edited edge metadata.

Fix horribly wrong option in www/linchecker.

tcberner marked an inline comment as done.Feb 3 2017, 6:24 PM
tcberner added inline comments.
www/linkchecker/Makefile
41 ↗(On Diff #24241)

yikes

fixed now

%  make -VUSE_PYQT -C www/linkchecker/
core_run gui_run help_run qscintilla2_run sql_run
tcberner updated this revision to Diff 24695.Feb 3 2017, 6:30 PM
tcberner marked an inline comment as done.
tcberner edited edge metadata.
  • Shuffle USES upwards
  • Remove a typo
mat accepted this revision.Feb 3 2017, 7:53 PM
mat edited edge metadata.

Looks ok.

This revision is now accepted and ready to land.Feb 3 2017, 7:53 PM
This revision was automatically updated to reflect the committed changes.